ConversionUtils (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: ConversionUtils

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class ConversionUtils

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.ConversionUtils

public class ConversionUtils extends Object
Utility methods to convert transaction-layer DTOs to objects accepted by openBIS.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConversionUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ch.systemsx.cisd.openbis.generic.shared.dto.DataSetBatchUpdatesDTO`
  `convertToDataSetBatchUpdatesDTO(DataSetUpdatable dataSet)`
  `static ch.systemsx.cisd.openbis.generic.shared.dto.DataSetUpdatesDTO`
  `convertToDataSetUpdatesDTO(DataSetUpdatable dataSet)`
  `static ch.systemsx.cisd.openbis.generic.shared.dto.ExperimentUpdatesDTO`
  `convertToExperimentUpdateDTO(ch.systemsx.cisd.etlserver.registrator.api.v2.impl.ExperimentUpdatable apiExperiment)`
  `static List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable>`
  `convertToMetaprojectsImmutable(Collection<ch.systemsx.cisd.openbis.generic.shared.basic.dto.Metaproject> metaprojects)`
  `static ch.systemsx.cisd.openbis.generic.shared.dto.MetaprojectUpdatesDTO`
  `convertToMetaprojectUpdatesDTO(Metaproject metaproject)`
  `static ch.systemsx.cisd.openbis.generic.shared.dto.NewContainerDataSet`
  `convertToNewContainerDataSet(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<?> registrationDetails, String dataStoreCode)`
  `static ch.systemsx.cisd.openbis.generic.shared.basic.dto.NewExperiment`
  `convertToNewExperiment(ch.systemsx.cisd.etlserver.registrator.api.v2.impl.Experiment apiExperiment)`
  `static ch.systemsx.cisd.openbis.generic.shared.dto.NewExternalData`
  `convertToNewExternalData(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<?> registrationDetails, String dataStoreCode, ch.systemsx.cisd.openbis.generic.shared.dto.StorageFormat storageFormat, String dataFileRelativePath)`
  `static ch.systemsx.cisd.openbis.generic.shared.dto.NewLinkDataSet`
  `convertToNewLinkDataSet(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<?> registrationDetails, String dataStoreCode)`
  `static ch.systemsx.cisd.openbis.generic.shared.basic.dto.NewMetaproject`
  `convertToNewMetaproject(Metaproject metaproject)`
  `static ch.systemsx.cisd.openbis.generic.shared.basic.dto.NewProject`
  `convertToNewProject(ch.systemsx.cisd.etlserver.registrator.api.v2.impl.Project apiProject)`
  `static ch.systemsx.cisd.openbis.generic.shared.basic.dto.NewSample`
  `convertToNewSample(Sample apiSample)`
  `static ch.systemsx.cisd.openbis.generic.shared.basic.dto.NewSpace`
  `convertToNewSpace(Space apiSpace)`
  `static ch.systemsx.cisd.openbis.generic.shared.dto.ProjectUpdatesDTO`
  `convertToProjectUpdateDTO(ch.systemsx.cisd.etlserver.registrator.api.v2.impl.Project apiProject)`
  `static ch.systemsx.cisd.openbis.generic.shared.dto.SampleUpdatesDTO`
  `convertToSampleUpdateDTO(Sample apiSample)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConversionUtils

    public ConversionUtils()

- ## Method Details

  - ### convertToNewExperiment

    public static ch.systemsx.cisd.openbis.generic.shared.basic.dto.NewExperiment convertToNewExperiment(ch.systemsx.cisd.etlserver.registrator.api.v2.impl.Experiment apiExperiment)

  - ### convertToExperimentUpdateDTO

    public static ch.systemsx.cisd.openbis.generic.shared.dto.ExperimentUpdatesDTO convertToExperimentUpdateDTO(ch.systemsx.cisd.etlserver.registrator.api.v2.impl.ExperimentUpdatable apiExperiment)

  - ### convertToNewSample

    public static ch.systemsx.cisd.openbis.generic.shared.basic.dto.NewSample convertToNewSample(Sample apiSample)

  - ### convertToSampleUpdateDTO

    public static ch.systemsx.cisd.openbis.generic.shared.dto.SampleUpdatesDTO convertToSampleUpdateDTO(Sample apiSample)

  - ### convertToNewExternalData

    public static ch.systemsx.cisd.openbis.generic.shared.dto.NewExternalData convertToNewExternalData(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<?> registrationDetails, String dataStoreCode, ch.systemsx.cisd.openbis.generic.shared.dto.StorageFormat storageFormat, String dataFileRelativePath)

  - ### convertToNewLinkDataSet

    public static ch.systemsx.cisd.openbis.generic.shared.dto.NewLinkDataSet convertToNewLinkDataSet(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<?> registrationDetails, String dataStoreCode)

  - ### convertToNewContainerDataSet

    public static ch.systemsx.cisd.openbis.generic.shared.dto.NewContainerDataSet convertToNewContainerDataSet(ch.systemsx.cisd.etlserver.registrator.DataSetRegistrationDetails<?> registrationDetails, String dataStoreCode)

  - ### convertToNewSpace

    public static ch.systemsx.cisd.openbis.generic.shared.basic.dto.NewSpace convertToNewSpace(Space apiSpace)

  - ### convertToNewProject

    public static ch.systemsx.cisd.openbis.generic.shared.basic.dto.NewProject convertToNewProject(ch.systemsx.cisd.etlserver.registrator.api.v2.impl.Project apiProject)

  - ### convertToProjectUpdateDTO

    public static ch.systemsx.cisd.openbis.generic.shared.dto.ProjectUpdatesDTO convertToProjectUpdateDTO(ch.systemsx.cisd.etlserver.registrator.api.v2.impl.Project apiProject)

  - ### convertToDataSetUpdatesDTO

    public static ch.systemsx.cisd.openbis.generic.shared.dto.DataSetUpdatesDTO convertToDataSetUpdatesDTO(DataSetUpdatable dataSet)

  - ### convertToDataSetBatchUpdatesDTO

    public static ch.systemsx.cisd.openbis.generic.shared.dto.DataSetBatchUpdatesDTO convertToDataSetBatchUpdatesDTO(DataSetUpdatable dataSet)

  - ### convertToNewMetaproject

    public static ch.systemsx.cisd.openbis.generic.shared.basic.dto.NewMetaproject convertToNewMetaproject(Metaproject metaproject)

  - ### convertToMetaprojectUpdatesDTO

    public static ch.systemsx.cisd.openbis.generic.shared.dto.MetaprojectUpdatesDTO convertToMetaprojectUpdatesDTO(Metaproject metaproject)

  - ### convertToMetaprojectsImmutable

    public static List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectImmutable> convertToMetaprojectsImmutable(Collection<ch.systemsx.cisd.openbis.generic.shared.basic.dto.Metaproject> metaprojects)